﻿/* Footer Stiller */
.social-link {
    color: white;
    font-size: 24px;
    padding: 0 12px;
}

    .social-link:hover {
        color: white;
    }

.ykb-text {
    margin-left: 20px;
    color: #FFFFFF;
    font-size: 13px;
    line-height: 2;
}

.img-ykb {
    height: 24px;
}

.footer-left {
    display: flex;
    align-items: center;
}

.footer-right {
    display: flex;
}

.colom-header {
    color: var(--Text-Button, #FFF);
    margin-bottom: 24px;
    font-size: 18px;
}

.container-footer {
    max-width: 1296px;
    margin: 0 auto;
}

.custom-footer {
    background: var(--Main-Primary, #6549EA);
    padding: 20px;
    font-family: sans-serif;
}

.footer-top {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    margin-bottom: 20px;
}

.footer-column {
    flex: 1 1 200px;
    padding: 12px;
}

    .footer-column:first-child {
        max-width: 160px;
    }

.footer-link {
    font-weight: 400;
    font-size: 16px;
    line-height: 22px;
    display: flex;
    align-items: center;
    color: #FFFFFF;
    margin-bottom: 16px;
    text-decoration: none;
}

    .footer-link:hover {
        color: white;
    }

.footer-bottom {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    padding-top: 15px;
    font-size: 13px;
    color: #FFFFFF;
}

.social-media-list {
    list-style: none;
    margin: 12px 0;
    padding: 0;
    display: flex;
    flex-flow: row;
}

.icon-link {
    display: flex;
    align-items: center;
    gap: 8px;
    text-decoration: none;
}

    .icon-link i {
        font-size: 16px;
        color: #FFFFFF;
    }

    .icon-link:hover i {
        color: #007acc;
    }

.arrow-icon {
    display: none;
}

@@media (max-width: 768px) {
    .footer-column {
        flex: 1 1 100%;
    }

        .footer-column:first-child {
            max-width: 100%;
        }

    .colom-header {
        margin-bottom: 0;
        padding: 12px 0;
        position: relative;
        cursor: pointer;
        display: flex;
        justify-content: space-between;
        align-items: center;
    }

    .footer-links {
        max-height: 0;
        overflow: hidden;
        transition: max-height 0.3s ease-out;
        opacity: 0;
    }


        .footer-links.logo {
            max-height: 100px;
            text-align: center;
            opacity: 1;
        }

        .footer-links.active {
            max-height: 500px;
            opacity: 1;
            padding-bottom: 12px;
        }

    .footer-bottom {
        flex-direction: column;
        align-items: center;
        text-align: center;
    }

    .footer-left, .footer-right {
        width: 100%;
        justify-content: center;
        margin-bottom: 15px;
    }

    .footer-left {
        flex-direction: column;
    }

    .ykb-text {
        margin-left: 0;
        margin-top: 10px;
    }
    /* Mobil görünümde footer'ın altında boşluk */
    .custom-footer {
        padding-bottom: 60px;
    }

    .arrow-icon {
        width: 16px;
        margin-left: 8px;
        transition: transform 0.3s ease;
        display: inline-block;
    }

        .arrow-icon.rotated {
            transform: rotate(180deg);
        }
}
